API referenceApprovals

GET /actions

Agent actions queued for approval in this organization, newest first

GET
/actions

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

status?string

Only this status

Value in"pending_approval""approved""rejected""executed""failed"
kind?string

Only this kind, e.g. comment.reply

limit?integer

Maximum items (default 50, max 100)

Range1 <= value <= 100
Default50
before?string

nextBefore of the previous page

Formatdate-time

Response Body

{actions, nextBefore}

application/json
  1. response
actions?array<>
nextBefore?|

Pass as before for older actions

Example Request
curl -X GET 'https://example.com/api/v1/actions'
Example Response
{  "actions": [    {      "id": "string",      "kind": "string",      "status": "pending_approval",      "accountIds": [        "string"      ],      "operation": "string",      "args": [        null      ],      "text": "string",      "editable": true,      "edited": true,      "payloadSha256": "string",      "approvedSha256": "string",      "proposedBy": {        "type": "api_key",        "via": "api",        "keyId": "string",        "oauthGrantId": "string",        "clientId": "string",        "name": "string",        "userId": "string"      },      "review": {        "reviewedAt": "2019-08-24T14:15:22Z",        "reviewedByUserId": "string",        "rejectReason": "string",        "editedAt": "2019-08-24T14:15:22Z",        "editedByUserId": "string"      },      "executedAt": "2019-08-24T14:15:22Z",      "result": null,      "error": {        "message": "string",        "code": "string"      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "nextBefore": "string"}